TTTT Analysis 0.1

Public Member Functions | Private Member Functions | Private Attributes | List of all members
fv::ContainerMean< T > Class Template Reference

Calculate the Mean of a Value over a series of observations. More...

`#include <container.hpp>`

Inheritance diagram for fv::ContainerMean< T >:
[legend]
Collaboration diagram for fv::ContainerMean< T >:
[legend]

## Public Member Functions
| ContainerMean (const std::string &name, Value< T > *value)
T * | get_container ()
void | save_as (const std::string &fname)
Public Member Functions inherited from fv::Container< T, T >
| Container (const std::string &name, Value< T > *value)
virtual const std::string & | get_value_name ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
GenContainer * | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save_as (const std::string &fname, const SaveOption &option)=0
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Private Member Functions
void | _fill ()

## Private Attributes
int | count
T | sum

## Additional Inherited Members
Protected Attributes inherited from fv::Container< T, T >
T * | container
Value< T > * | value

## Detailed Description

### template<typename T>
class fv::ContainerMean< T >

Calculate the Mean of a Value over a series of observations.

This class is given a value of some type that supports addition and division(eg. a `float`) and yields the mean value. Note that this implementation does not support serialization so it is not incredibly useful. See the ROOT Containers for Containers that support serialization using ROOT's facilities.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/container.hpp